/*
 *  This file is part of the Heritrix web crawler (crawler.archive.org).
 *
 *  Licensed to the Internet Archive (IA) by one or more individual 
 *  contributors. 
 *
 *  The IA licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.archive.crawler.frontier.precedence;

/**
 * The most simple precedence provider, simply wrapping a resettable
 * integer value. 
 */
public class SimplePrecedenceProvider extends PrecedenceProvider {
    private static final long serialVersionUID = 3132028374638763487L;
    
    protected int precedence;
    
    public SimplePrecedenceProvider(int p) {
        this.precedence = p;
    }

    /* (non-Javadoc)
     * @see org.archive.crawler.frontier.PrecedenceProvider#getPrecedence()
     */
    @Override
    public int getPrecedence() {
        return precedence;
    }

    /**
     * @param p
     */
    public void setPrecedence(Integer p) {
        precedence = p; 
    }

}
